Name:		libgeotiff
Version:	1.5.1
Release:	1%{?dist}
Summary:	GeoTIFF format library
License:	MIT
URL:		http://trac.osgeo.org/geotiff/
Source:		http://download.osgeo.org/geotiff/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	libtiff-devel libjpeg-devel proj-devel >= 6.2.0 zlib-devel

%description
GeoTIFF represents an effort by over 160 different remote sensing,
GIS, cartographic, and surveying related companies and organizations
to establish a TIFF based interchange format for georeferenced
raster imagery.

%package devel
Summary:	Development library and header for the GeoTIFF file format library
Requires:	pkgconfig libtiff-devel
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The GeoTIFF library provides support for development of geotiff image format.

%prep
%setup -q

%build
%configure \
	--prefix=%{_prefix}	\
	--includedir=%{_includedir}/%{name}/	\
	--with-proj		\
	--with-jpeg		\
	--with-zip		\
	--disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build %{?_smp_mflags}

%install
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

%{__mkdir} -p %{buildroot}%{_libdir}/pkgconfig/
%{__install} -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/

#clean up junks
%{__rm} -fv %{buildroot}%{_libdir}/lib*.la

%files
%license LICENSE
%doc ChangeLog
%{_bindir}/applygeo
%{_bindir}/geotifcp
%{_bindir}/listgeo
%{_libdir}/%{name}.so.5*
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Sep 2 2019 Devrim Gündüz <devrim@gunduz.org> - 1.5.1-1
- Initial packaging for EPEL 8
